Initiate Moderation-Assist
Use this API to initiate the asynchronous moderation assist process for Onsite Display (static) ad creatives.
URL: POST /api/v1/creatives/{creativeId}/moderation-assist
Path Parameters
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| creativeId | The UUID of the creative | string | Y | A valid creative ID |
Request Parameters
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| advertiserId | The ID of the specific advertiser | integer | Y | A valid advertiser ID |
Headers
| Header Name | Description | Required | Values |
|---|---|---|---|
| Authorization | The token will provide you the access to the API. It is same for all advertisers you access through the API. | Y | Please utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide |
| Content-Type | Format of the message body | Y | application/json |
| WM_CONSUMER.ID | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API. | Y | Please use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
| WM_SEC.AUTH_SIGNATURE | Signature for authentication | Y | Use the signature generator code from Getting Started Guide to generate this value |
| WM_SEC.KEY_VERSION | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API. | Y | 1 |
| WM_CONSUMER.intimestamp | Timestamp for which the auth signature is generated. Use Unix epoch format for the timestamp. | Y | Use the signature generator code from Getting Started Guide to generate this value |
Sample Request
curl -X POST \ --location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/abcde-12345/moderation-assist' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --header 'WM_CONSUMER.ID: <consumer id>' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \ --header 'WM_SEC.AUTH_SIGNATURE: <token>' \ --data '{ "advertiserId": 123 }'Response
| Element | Description | Type |
|---|---|---|
| jobId | UUID of async job | string |
| status | Status. Values of status: PENDING, COMPLETED, FAILED | string |
| createdAt | The date of creation | date-time |
Error Response
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| code | Code=failure Click here for more information about Status Codes and Errors | N | string | failure |
| details | List of error codes associated with the request. Use these codes for programmatic error handling. | N | array | Refer to this link for detailed error messages |
| message | High-level summary of the error, when available. | Y | string | |
| errors | Detailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description. | Y | array<object> |
errors Array Object Details
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| field | JSON field associated with the error (for example, startDate ). Omitted if the error applies to the request as a whole. | Y | string | |
| errorType | Machine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic. | N | string | |
| description | Human-readable explanation of the error, including why the request failed and, when possible, how to resolve it | N | string |
Sample Response - Success
{ "jobId": "11111111-aaaa-aaaa-aaaa-111111111111", "status": "PENDING", "createdAt": "2026-02-05T22:08:08Z"
}Sample Response - Failure
{ "code": "failure", "details": [ "string" ], "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}Updated about 17 hours ago
Did this page help you?
